<template>

<div class="bloc">
        <form @submit.prevent="handleInscrit()">
            <label>Email :
                <input type="email" v-model="email">
            </label>
    
            <label>Password :
                <input type="password" v-model="password">
            </label>
            <button>Login</button>
        </form>
    </div>


</template>

<script setup lang="ts">
import { postRegister } from '@/auth-service';
import { useAuth } from '@/stores/auth';
import { ref } from 'vue';


const auth = useAuth();
const email = ref('');
const password = ref('');

async function handleInscrit(){
    await auth.
}


</script>